{% extends "./plantilla.html" %}
{% load static %}

{% block title %}Product Admin - Productos{% endblock %}

{% block contenido %}
<div class="row tm-content-row">
    <!-- Formulario a la izquierda -->
    <div class="col-md-6 tm-block-col">
        <div class="tm-bg-primary-dark tm-block h-100">
            <h2 class="tm-block-title">Agregar Posicion</h2>
            <form action="/guardarPosicion/" method="post" class="tm-edit-product-form">
                {% csrf_token %}
                <div class="form-group mb-3">
                    <label for="nombre_pos">Posicion del Jugador</label>
                    <input id="nombre_pos" name="nombre_pos" type="text" class="form-control validate" required>
                </div>
                <div class="form-group mb-3">
                    <label for="descripcion_pos">Descripcion</label>
                    <input id="descripcion_pos" name="descripcion_pos" type="text" class="form-control validate" required>
                </div>
                <center>
                    <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                  <a href="/" class="btn btn-danger ml-2">Cancelar</a>
                </center>
            </form>
        </div>
    </div>
    <!-- Tabla a la derecha -->
    <div class="col-md-6 tm-block-col">
        <div class="tm-bg-primary-dark tm-block h-100">
            <h2 class="tm-block-title">Listado de Posiciones</h2>
            <table class="table table-hover tm-table-small tm-product-table">
                <thead>
                    <tr>
                        <th scope="col">Id</th>
                        <th scope="col">Posicion</th>
                        <th scope="col">Descripcion</th>
                        <th scope="col">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    {% for posicion in posiciones %}
                    <tr>
                        <td>{{ posicion.id_pos }}</td>
                        <td>{{ posicion.nombre_pos }}</td>
                        <td>{{ posicion.descripcion_pos }}</td>
                        
                        <td>
                            <a href="/editarPosicion/{{ posicion.id_pos }}" class="btn btn-warning btn-sm">Editar</a>
                            <a href="javascript:void(0)" onclick="eliminarPosicion('/eliminarPosicion/{{ posicion.id_pos }}');" class="btn btn-danger btn-sm">Eliminar</a>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <script type="text/javascript">
        function eliminarPosicion(url) {
            iziToast.question({
                timeout: 15000,
                close: true,
                overlay: true,
                displayMode: 'once',
                id: 'question',
                zindex: 999,
                title: 'CONFIRMACIÓN',
                message: '¿Está seguro de eliminar el destino seleccionado?',
                position: 'center',
                buttons: [
                    ['<button><b>SI</b></button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                        window.location.href=url;
                    }, true],
                    ['<button>NO</button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    }],
                ]
            });
        }
    </script>
</div>
{% endblock %}
